Bug 223400 - transfer tracks to media device (ipod) from playlist
Summary: transfer tracks to media device (ipod) from playlist
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/iPod iPhone (show other bugs)
Version: 2.4-GIT
Platform: Ubuntu Packages Unspecified
: NOR wishlist with 40 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-19 13:37 UTC by brice rebsamen
Modified: 2011-12-20 11:05 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description brice rebsamen 2010-01-19 13:37:13 UTC
Version:            (using KDE 4.3.2)
Installed from:    Ubuntu Packages

I managed to transfer songs from my collection to my ipod shuffle using the context menu on the collection browser. (That took me some time to find out how to do it though...)

However, my usual preference, is to create a playlist using various criterias, and when I am satisfied I transfer it to the ipod. I used to do it with Amarok 1.x but this is not possible with Amarok 2.

Would it be possible to include this in the next version. Either using a copy/move action to the playlist's context menu, or by dragging the files to the ipod.
Comment 1 Timothy Lanzi 2011-01-04 03:31:15 UTC
Amarok 2.4-GIT, kubuntu 10.10  Amarok looks like it has capability of copying playlist directly to device. However, doesn't seem to function with iPod devices. The drag icon changes into a slashy circle when attempting to copy playlist to media device in the collection pane. 

Able to copy tracks from the playlist to local file system in dolphin. Just not to iPod.
Comment 2 Myriam Schweingruber 2011-01-05 00:48:33 UTC
Thanks for testing.
Comment 3 PJ Beers 2011-05-15 21:17:08 UTC
I just came from https://bugs.kde.org/show_bug.cgi?id=266899, which tracked a related issue. I tested amarok 2.4.1 and I could not save a playlist to my ipod. The save playlist button _does_ offer the option to save to a media device if my ipod is connected (and mounted). However, nothing happens when I
select this option. 

As a user, I would expect the following to happen when clicking the save
playlist to media device button:
   * A new playlist is saved to the itunesdb.
   * The tracks in the playlist that are not on the ipod are copied to the ipod
and the ipod's itunesdb.

Incidentally, I wonder whether the severity should be wishlist or normal, since the user interface indeed suggests that the feature of saving a playlist to an ipod exists.
Comment 4 PJ Beers 2011-05-15 21:27:12 UTC
P.S., I have an 8GB ipod nano, not a shuffle.
Comment 5 Myriam Schweingruber 2011-05-15 23:25:25 UTC
It is a wish since that feature has never been implemented in the Amarok 2.x series.
Comment 6 PJ Beers 2011-05-17 09:25:45 UTC
Is this feature on anyone's todo-list right now? Is there anyone who might need beta-testers? Because I could certainly oblige. Unfortunately, I cannot code myself. I did try to read the code, and it seemed as if a lot of the basics are already there...
Comment 7 Myriam Schweingruber 2011-05-18 00:57:31 UTC
It certainly is on the ToDo list, but the main problem for the developers is a lack of time.
Comment 8 kat 2011-05-18 01:55:37 UTC
So would another 250 euro donation to the Amarok fund help create more time? Or is bug squash sponsoring 'not done'?
Comment 9 Myriam Schweingruber 2011-05-18 12:00:16 UTC
That is definitely something you should ask on amarok-devel@kde.org, maybe it helps :)
Comment 10 kat 2011-05-20 03:25:33 UTC
Okay I put out a bug bounty of 250 euro to amarok-dev@kde.org
Comment 11 Bart Cerneels 2011-06-08 16:36:45 UTC
Git commit fffc1ea983281e6cb1f6ce2129f046e598fe01c4 by Bart Cerneels.
Committed on 07/06/2011 at 09:43.
Pushed by shanachie into branch 'master'.

Enable drag and drop tracks to any collection.

Works inside the collection browser and from The Playlist.
Tested to/from USB, iPod and MySQL-collections.

funds += €250 http://mail.kde.org/pipermail/amarok-devel/2011-May/009047.html ?

BUG:223400
CCMAIL:amarok-devel@kde.org

M  +64   -0    src/browsers/CollectionTreeItemModel.cpp     
M  +4    -1    src/browsers/CollectionTreeItemModel.h     
M  +1    -1    src/browsers/CollectionTreeView.cpp     
M  +1    -1    src/core/collections/CollectionLocation.cpp     

http://commits.kde.org/amarok/fffc1ea983281e6cb1f6ce2129f046e598fe01c4
Comment 12 Matěj Laitl 2011-06-08 17:53:43 UTC
(In reply to comment #11)
> Git commit fffc1ea983281e6cb1f6ce2129f046e598fe01c4 by Bart Cerneels.
> Committed on 07/06/2011 at 09:43.
> Pushed by shanachie into branch 'master'.
> 
> Enable drag and drop tracks to any collection.
> 
> Works inside the collection browser and from The Playlist.
> Tested to/from USB, iPod and MySQL-collections.
> 
> funds += €250 http://mail.kde.org/pipermail/amarok-devel/2011-May/009047.html ?
> 
> BUG:223400
> CCMAIL:amarok-devel@kde.org
> 
> M  +64   -0    src/browsers/CollectionTreeItemModel.cpp     
> M  +4    -1    src/browsers/CollectionTreeItemModel.h     
> M  +1    -1    src/browsers/CollectionTreeView.cpp     
> M  +1    -1    src/core/collections/CollectionLocation.cpp     
> 
> http://commits.kde.org/amarok/fffc1ea983281e6cb1f6ce2129f046e598fe01c4

Good work, Bart, thanks a lot!

I've tested it and it crashes in some situations, see bug 275219.